package _01_继承练习.demo1;

public class Student extends Person{
    private int studentId;
    private double score;

    public Student(int studentId, double score) {
        this("默认姓名",1,studentId,score);
    }

    public Student(String name, int age, int studentId, double score) {
        super(name, age);
        this.studentId = studentId;
        this.score = score;
    }

    public void showStudentInfo(){
        System.out.println("学号为:"+ this.studentId
                +"分数为:"+ this.score +"名字为:"+ super.name +"年龄为:"+ super.age);
    }
}
